image: maven:lates

stages:
  - build
  - deploy
  
build:
  stage: build
  tags:
   - quantr-setting-library
  script:
    - java -version
    - echo $JAVA_HOME
    - echo $MVN_HOME
    - echo $PATH
    - mvn -DskipTests $MAVEN_CLI_OPTS install

deploy to quantr maven:
  stage: deploy
  tags:
   - quantr-setting-library
  script:
    - mvn -DskipTests deploy

deploy to quantr foundation web:
  stage: deploy
  tags:
   - qf-quantr-setting-library
  script:
    - mvn -DskipTests javadoc:javadoc
    - mkdir -p /home/quantr.foundation/www/javadoc/quantr-setting-library/
    - cp -fr target/site/apidocs/index.html /home/quantr.foundation/www/javadoc/quantr-setting-library/
    - cp -fr target/site/apidocs/data.json /home/quantr.foundation/www/javadoc/quantr-setting-library/
